# GO 1

This page describes the Optimization Pack for the component type Go 1.

## Metrics

<table><thead><tr><th>Metric</th><th width="139">Unit</th><th width="299.3333333333333">Description</th></tr></thead><tbody><tr><td>cpu_used</td><td>CPUs</td><td>The total amount of CPUs used</td></tr><tr><td>cpu_util</td><td>percents</td><td>The average CPU utilization % across all the CPUs (i.e., how much time on average the CPUs are busy doing work)</td></tr><tr><td>go_heap_size</td><td>bytes</td><td>The largest size reached by the Go heap memory</td></tr><tr><td>go_heap_used</td><td>bytes</td><td>The amount of heap memory used</td></tr><tr><td>go_heap_util</td><td>bytes</td><td>The amount of heap memory used</td></tr><tr><td>go_memory_used</td><td>bytes</td><td>The total amount of memory used by Go</td></tr><tr><td>go_gc_time</td><td>percent</td><td>The % of wall clock time the Go spent doing stop the world garbage collection activities</td></tr><tr><td>go_gc_duration</td><td>seconds</td><td>The average duration of a stop the world Go garbage collection</td></tr><tr><td>go_gc_count</td><td>collections/s</td><td>The total number of stop the world Go garbage collections that have occurred per second</td></tr><tr><td>go_threads_current</td><td>threads</td><td>The total number of active Go threads</td></tr><tr><td>go_goroutines_current</td><td>goroutines</td><td>The total number of active Goroutines</td></tr></tbody></table>

## Parameters

<table><thead><tr><th width="264">Parameter</th><th width="118">Type</th><th width="98">Unit</th><th width="106">Default</th><th width="119">Domain</th><th width="95">Restart</th><th width="297">Description</th></tr></thead><tbody><tr><td>go_gcTargetPercentage</td><td>integer</td><td></td><td><code>100</code></td><td><code>0</code> → <code>25000</code></td><td>yes</td><td>Sets the GOGC variable which controls the aggressiveness of the garbage collector</td></tr><tr><td>go_maxProcs</td><td>integer</td><td></td><td><code>8</code></td><td><code>0</code> → <code>100</code></td><td>yes</td><td>Limits the number of operating system threads that can execute user-level code simultaneously</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.1.2/akamas-reference/optimization-packs/go-pack/go-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
